[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Spacewalk-list] Problem with yum-rhn-plugin-1.3.7-1



Hi,

 

After updating my clients to spacewalk client tools 1.3, installing or upgrading packages doesn’t work anymore.

Client:

# cat /etc/redhat-release

CentOS release 5.5 (Final)

 

# rpm -qa | grep yum-rhn-plugin

yum-rhn-plugin-1.3.7-1.el5

 

For example, when I try to install a PHP package (php-devel), rhn_check gives this output:

# rhn_check -vv

D: check_action {'action': "<?xml version='1.0'?>\n<methodCall>\n<methodName>packages.update</methodName>\n<params>\n<param>\n<value><array><data>\n<value><array><data>\n<value><string>php-devel</string></value>\n<value><string>5.3.5</string></value>\n<value><string>3.proserve.el5</string></value>\n<value><string></string></value>\n<value><string>x86_64</string></value>\n</data></array></value>\n</data></array></value>\n</param>\n</params>\n</methodCall>\n", 'version': 2, 'id': 80}

updateLoginInfo() login info

D: login(forceUpdate=True) invoked

logging into up2date server

D: rpcServer: Calling XMLRPC up2date.login

D: writeCachedLogin() invoked

D: Wrote pickled loginInfo at  1297598181.4  with expiration of  1297601781.4  seconds.

successfully retrieved authentication token from up2date server

D: logininfo: {'X-RHN-Server-Id': 1000010000, 'X-RHN-Auth-Server-Time': '1297598181.4', 'X-RHN-Auth': 'bseP+tTOjmF9Fujbq+SNNA==', 'X-RHN-Auth-Channels': [['centos5-base-x86_64', '20110213000735', '1', '1'], ['centos5-proserve-x86_64', '20110213000030', '0', '1'], ['centos5-updates-x86_64', '20110213000327', '0', '1'], ['centos5-extras-x86_64', '20110213000016', '0', '1'], ['centos5-proserve-extras-x86_64', '20110213000348', '0', '1'], ['centos5-proserve-dell-x86_64', '20110213000756', '0', '1']], 'X-RHN-Auth-User-Id': '', 'X-RHN-Auth-Expire-Offset': '3600.0'}

D: handle_action {'action': "<?xml version='1.0'?>\n<methodCall>\n<methodName>packages.update</methodName>\n<params>\n<param>\n<value><array><data>\n<value><array><data>\n<value><string>php-devel</string></value>\n<value><string>5.3.5</string></value>\n<value><string>3.proserve.el5</string></value>\n<value><string></string></value>\n<value><string>x86_64</string></value>\n</data></array></value>\n</data></array></value>\n</param>\n</params>\n</methodCall>\n", 'version': 2, 'id': 80}

D: handle_action actionid = 80, version = 2

D: do_call packages.update ([['php-devel', '5.3.5', '3.proserve.el5', '', 'x86_64']],) {'cache_only': None}

Loaded plugins: rhnplugin

D: rpcServer: Calling XMLRPC up2date.listChannels

D: Called update [['php-devel', '5.3.5', '3.proserve.el5', '', 'x86_64']]

D: Sending back response (32, 'Failed: Packages failed to install properly: No package(s) available to install', {'version': '1', 'name': 'package_install_failure'})

D: do_call packages.checkNeedUpdate ('rhnsd=1',) {}

D: local action status:  (0, 'rpm database not modified since last update (or package list recently updated)', {})

D: rpcServer: Calling XMLRPC registration.welcome_message

 

 

When I downgrade yum-rhn-plugin to 1.2.7-1, everything works fine:

 

# rhn_check -vv

D: check_action {'action': "<?xml version='1.0'?>\n<methodCall>\n<methodName>packages.update</methodName>\n<params>\n<param>\n<value><array><data>\n<value><array><data>\n<value><string>php-devel</string></value>\n<value><string>5.3.5</string></value>\n<value><string>3.proserve.el5</string></value>\n<value><string></string></value>\n<value><string>x86_64</string></value>\n</data></array></value>\n</data></array></value>\n</param>\n</params>\n</methodCall>\n", 'version': 2, 'id': 80}

updateLoginInfo() login info

D: login(forceUpdate=True) invoked

logging into up2date server

D: rpcServer: Calling XMLRPC up2date.login

D: writeCachedLogin() invoked

D: Wrote pickled loginInfo at  1297598328.17  with expiration of  1297601928.17  seconds.

successfully retrieved authentication token from up2date server

D: logininfo: {'X-RHN-Server-Id': 1000010000, 'X-RHN-Auth-Server-Time': '1297598328.17', 'X-RHN-Auth': 'tkKcU8oqq47z318kzkDC3A==', 'X-RHN-Auth-Channels': [['centos5-base-x86_64', '20110213000735', '1', '1'], ['centos5-proserve-x86_64', '20110213000030', '0', '1'], ['centos5-updates-x86_64', '20110213000327', '0', '1'], ['centos5-extras-x86_64', '20110213000016', '0', '1'], ['centos5-proserve-extras-x86_64', '20110213000348', '0', '1'], ['centos5-proserve-dell-x86_64', '20110213000756', '0', '1']], 'X-RHN-Auth-User-Id': '', 'X-RHN-Auth-Expire-Offset': '3600.0'}

D: handle_action {'action': "<?xml version='1.0'?>\n<methodCall>\n<methodName>packages.update</methodName>\n<params>\n<param>\n<value><array><data>\n<value><array><data>\n<value><string>php-devel</string></value>\n<value><string>5.3.5</string></value>\n<value><string>3.proserve.el5</string></value>\n<value><string></string></value>\n<value><string>x86_64</string></value>\n</data></array></value>\n</data></array></value>\n</param>\n</params>\n</methodCall>\n", 'version': 2, 'id': 80}

D: handle_action actionid = 80, version = 2

D: do_call packages.update ([['php-devel', '5.3.5', '3.proserve.el5', '', 'x86_64']],) {'cache_only': None}

Loaded plugins: rhnplugin

D: rpcServer: Calling XMLRPC up2date.listChannels

D: Called update [['php-devel', '5.3.5', '3.proserve.el5', '', 'x86_64']]

D: Dependencies Resolved

D: Downloading Packages:

D: Running Transaction Test

D: Finished Transaction Test

D: Transaction Test Succeeded

D: Running Transaction

Updating package profile

D: rpcServer: Calling XMLRPC registration.welcome_message

D: rpcServer: Calling XMLRPC registration.update_packages

D: Sending back response (0, 'Update Succeeded', {})

D: do_call packages.checkNeedUpdate ('rhnsd=1',) {}

D: Called refresh_rpmlist

Updating package profile

D: rpcServer: Calling XMLRPC registration.welcome_message

D: rpcServer: Calling XMLRPC registration.update_packages

D: local action status:  (0, 'rpmlist refreshed', {})

D: rpcServer: Calling XMLRPC registration.welcome_message

 

Spacewalk server:

# cat /etc/redhat-release

CentOS release 5.5 (Final)

 

# rpm -qa | grep spacewalk

spacewalk-client-repo-1.3-1.el5

spacewalk-setup-jabberd-1.3.2-1.el5

spacewalk-branding-1.3.2-1.el5

spacewalk-doc-indexes-1.1.1-1.el5

spacewalk-pxt-1.3.24-1.el5

spacewalk-admin-1.3.9-1.el5

spacewalk-grail-1.3.24-1.el5

spacewalk-selinux-1.3.2-1.el5

spacewalk-oracle-1.3.3-1.el5

spacewalk-backend-sql-oracle-1.3.57-1.el5

spacewalk-backend-server-1.3.57-1.el5

spacewalk-backend-xmlrpc-1.3.57-1.el5

spacewalk-backend-applet-1.3.57-1.el5

spacewalk-taskomatic-1.3.53-1.el5

spacewalk-backend-iss-1.3.57-1.el5

spacewalk-certs-tools-1.3.2-1.el5

spacewalk-base-minimal-1.3.24-1.el5

spacewalk-monitoring-1.2.1-1.el5

spacewalk-setup-1.3.10-1.el5

spacewalk-common-1.3.3-1.el5

spacewalk-java-lib-1.3.53-1.el5

spacewalk-backend-sql-1.3.57-1.el5

spacewalk-backend-app-1.3.57-1.el5

spacewalk-java-1.3.53-1.el5

spacewalk-backend-tools-1.3.57-1.el5

spacewalk-search-1.3.8-1.el5

spacewalk-config-1.3.1-1.el5

spacewalk-slf4j-1.6.1-1.el5

spacewalk-monitoring-selinux-1.3.1-1.el5

spacewalk-java-config-1.3.53-1.el5

spacewalk-backend-1.3.57-1.el5

spacewalk-backend-config-files-common-1.3.57-1.el5

spacewalk-backend-package-push-server-1.3.57-1.el5

spacewalk-backend-xp-1.3.57-1.el5

 

Maybe a bug in yum-rhn-plugin-1.3.7-1 or someone any other thoughts?

 

Best regards,

Maarten van der Ster

 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]